@import '../../styles/common';

$stacking-order: (
  item: 10,
  primary: 20,
  focused: 30,
);

.Connected {
  padding-top: rem(5px);
  position: relative;
  display: flex;
}

.Item {
  position: relative;
  z-index: z-index(item, $stacking-order);
  flex: 0 0 auto;

  &:not(:first-child) {
    margin-left: spacing(extra-tight);
  }
}

// This is a violation of our component model, but it’s the cleanest
// way to remove the border radii on connected elements.
// TextField.scss has a dependency due to this override.
// stylelint-disable declaration-no-important
.Item-primary {
  z-index: z-index(primary, $stacking-order);
  flex: 1 1 auto;
}

// stylelint-enable declaration-no-important

.Item-focused {
  z-index: z-index(focused, $stacking-order);
}
